Package org.gitana.platform.client.attachment

# Class AttachmentImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.attachment.AttachmentImpl

All Implemented Interfaces:
  `Serializable`, `Attachment`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class AttachmentImpl extends org.gitana.platform.support.GitanaObjectImpl implements Attachment

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.attachment.Attachment

`FIELD_ATTACHMENT_CONTENT_TYPE, FIELD_ATTACHMENT_FILENAME, FIELD_ATTACHMENT_ID, FIELD_ATTACHMENT_LENGTH, FIELD_ATTACHMENT_OBJECT_ID`

## Constructor Summary

Constructors
Constructor
Description
`AttachmentImpl(Attachable attachable, com.fasterxml.jackson.databind.node.ObjectNode objectNode)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getContentType()`
`protected Driver`
`getDriver()`
`protected ObjectFactory`
`getFactory()`
`String`
`getFilename()`
`String`
`getId()`
`InputStream`
`getInputStream()`
`long`
`getLength()`
`String`
`getObjectId()`
`protected Remote`
`getRemote()`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AttachmentImpl

public AttachmentImpl(Attachable attachable, com.fasterxml.jackson.databind.node.ObjectNode objectNode)

## Method Details

### getFactory

protected ObjectFactory getFactory()

### getDriver

protected Driver getDriver()

### getRemote

protected Remote getRemote()

### getId

public String getId()

Specified by:
  `getId` in interface `Attachment`

### getObjectId

public String getObjectId()

Specified by:
  `getObjectId` in interface `Attachment`

### getLength

public long getLength()

Specified by:
  `getLength` in interface `Attachment`

### getContentType

public String getContentType()

Specified by:
  `getContentType` in interface `Attachment`

### getFilename

public String getFilename()

Specified by:
  `getFilename` in interface `Attachment`

### getInputStream

public InputStream getInputStream()

Specified by:
  `getInputStream` in interface `Attachment`